halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
hal::PositionCache Class Reference

`#include <halPositionCache.h>`

## Public Types
typedef std::map< hal_index_t, hal_index_t > | IntervalSet

## Public Member Functions
bool | insert (hal_index_t pos)
bool | find (hal_index_t pos) const
void | clear ()
bool | check () const
hal_size_t | size () const
hal_size_t | numIntervals () const
const IntervalSet * | getIntervalSet ()

## Protected Attributes
IntervalSet | _set
hal_size_t | _size
IntervalSet::iterator | _prev

## Detailed Description

keep track of bases by storing 2d intervals For example, if we want to flag positions in a genome that we have visited, this structure will be fairly efficient provided positions are clustered into intervals

The documentation for this class was generated from the following file:

- inc/halPositionCache.h